Arbor 3: FSM & BT Graph Editor 3.7.1

Public Member Functions | Properties | List of all members
AnyParameterReference Class Reference

Parameter reference specifying type. More...

Inheritance diagram for AnyParameterReference:

## Public Member Functions
| AnyParameterReference ()
| Create AnyParameterReference More...
| AnyParameterReference (System.Type parameterType)
| Create AnyParameterReference More...
| AnyParameterReference (ParameterReference parameterReference)
| Create AnyParameterReference More...
bool | SetAssetObject< TAssetObject > (TAssetObject value)
| Set AssetObject value More...
TAssetObject | GetAssetObject< TAssetObject > (TAssetObject defaultValue=null)
| Get the value of the AssetObject type. More...
bool | SetAssetObjectList< TAssetObject > (IList< TAssetObject > value)
| It wants to set the value of the AssetObjectList type. More...
IList< TAssetObject > | GetAssetObjectList< TAssetObject > ()
| Get the value of the AssetObjectList type. More...
bool | SetComponent< TComponent > (TComponent value)
| Set Component value More...
TComponent | GetComponent< TComponent > (TComponent defaultValue=null)
| Get the value of the Component type. More...
bool | SetComponentList< TComponent > (IList< TComponent > value)
| It wants to set the value of the ComponentList type. More...
IList< TComponent > | GetComponentList< TComponent > ()
| Get the value of the ComponentList type. More...
bool | SetEnum< TEnum > (TEnum value)
| Set Enum value More...
TEnum | GetEnum< TEnum > (TEnum defaultValue)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > ()
| Get the value of the Enum type. More...
bool | SetEnumList< TEnum > (IList< TEnum > value)
| Set EnumList value More...
IList< TEnum > | GetEnumList< TEnum > ()
| Get the value of the Enum type. More...
bool | SetVariable< TVariable > (TVariable value)
| Set Variable value More...
TVariable | GetVariable< TVariable > (TVariable defaultValue=default(TVariable))
| Get Variable value More...
bool | SetVariableList< TVariable > (IList< TVariable > value)
| Set VariableList value More...
IList< TVariable > | GetVariableList< TVariable > ()
| Get VariableList value More...

## Properties
System.Type | parameterType`[get, set]`
| Parameter Type More...
object | value`[get, set]`
| Get values according to type. More...
Object | assetObjectValue`[get, set]`
| Value of AssetObject type. More...
IList< Object > | assetObjectListValue`[get, set]`
| Value of AssetObjectList type. More...
bool | boolValue`[get, set]`
| Value of Bool type. More...
IList< bool > | boolListValue`[get, set]`
| Value of BoolList type. More...
Bounds | boundsValue`[get, set]`
| Value of Bounds type. More...
IList< Bounds > | boundsListValue`[get, set]`
| Value of BoundsList type. More...
Color | colorValue`[get, set]`
| Value of Color type. More...
IList< Color > | colorListValue`[get, set]`
| Value of ColorList type. More...
Component | componentValue`[get, set]`
| Value of Component type. More...
IList< Component > | componentListValue`[get, set]`
| Value of ComponentList type. More...
int | enumIntValue`[get, set]`
| int Value of Enum type. More...
System.Enum | enumValue`[get, set]`
| Value of Enum type. More...
float | floatValue`[get, set]`
| Value of Float type. More...
IList< float > | floatListValue`[get, set]`
| Value of FloatList type. More...
GameObject | gameObjectValue`[get, set]`
| Value of GameObject type. More...
IList< GameObject > | gameObjectListValue`[get, set]`
| Value of GameObjectList type. More...
int | intValue`[get, set]`
| Value of Int type. More...
IList< int > | intListValue`[get, set]`
| Value of IntList type. More...
long | longValue`[get, set]`
| Value of Long type. More...
IList< long > | longListValue`[get, set]`
| Value of LongList type. More...
Quaternion | quaternionValue`[get, set]`
| Value of Quaternion type. More...
IList< Quaternion > | quaternionListValue`[get, set]`
| Value of QuaternionList type. More...
Rect | rectValue`[get, set]`
| Value of Rect type. More...
IList< Rect > | rectListValue`[get, set]`
| Value of RectList type. More...
RectTransform | rectTransformValue`[get, set]`
| Value of RectTransform type. More...
Rigidbody | rigidbodyValue`[get, set]`
| Value of Rigidbody type. More...
Rigidbody2D | rigidbody2DValue`[get, set]`
| Value of Rigidbody2D type. More...
string | stringValue`[get, set]`
| Value of String type. More...
IList< string > | stringListValue`[get, set]`
| Value of StringList type. More...
Transform | transformValue`[get, set]`
| Value of Transform type. More...
object | variableValue`[get, set]`
| Value of Variable type. More...
object | variableListValue`[get, set]`
| Value of VariableList type. More...
Vector2 | vector2Value`[get, set]`
| Value of Vector2 type. More...
IList< Vector2 > | vector2ListValue`[get, set]`
| Value of Vector2List type. More...
Vector3 | vector3Value`[get, set]`
| Value of Vector3 type. More...
IList< Vector3 > | vector3ListValue`[get, set]`
| Value of Vector3List type. More...
Properties inherited from ParameterReference
ParameterReferenceType | type`[get]`
| Reference type of ParameterContainer More...
ParameterContainerBase | container`[get, set]`
| Is stored to that container. More...
virtual Parameter.? Type | referenceType`[get]`
| Returns the Parameter.Type to be referenced. More...
Parameter? | parameter`[get]`
| Get the parameters. More...
ParameterContainerBase | constantContainer`[get, set]`
| Container specifying a constant More...

## Additional Inherited Members
Public Attributes inherited from ParameterReference
int | id
| ID. More...
string | name
| Paramenter name. More...

## Detailed Description

Parameter reference specifying type.

Available Attributes :

- ClassTypeConstraintAttribute
- SlotTypeAttribute

## Constructor & Destructor Documentation

## ◆ AnyParameterReference() [1/3]

AnyParameterReference | ( |  | ) |

Create AnyParameterReference

## ◆ AnyParameterReference() [2/3]

AnyParameterReference | ( | System.Type | parameterType | ) |

Create AnyParameterReference

Parameters

  parameterType | Parameter Type

## ◆ AnyParameterReference() [3/3]

AnyParameterReference | ( | ParameterReference | parameterReference | ) |

Create AnyParameterReference

Parameters

  parameterReference | Copy Source ParameterReference

## Member Function Documentation

## ◆ GetAssetObject< TAssetObject >()

TAssetObject GetAssetObject< TAssetObject > | ( | TAssetObject | defaultValue = `null` | ) |

Get the value of the AssetObject type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TAssetObject | : | Object |

## ◆ GetAssetObjectList< TAssetObject >()

IList<TAssetObject> GetAssetObjectList< TAssetObject > | ( |  | ) |

Get the value of the AssetObjectList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TAssetObject | : | Object |

## ◆ GetComponent< TComponent >()

TComponent GetComponent< TComponent > | ( | TComponent | defaultValue = `null` | ) |

Get the value of the Component type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TComponent | : | Component |

## ◆ GetComponentList< TComponent >()

IList<TComponent> GetComponentList< TComponent > | ( |  | ) |

Get the value of the ComponentList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TComponent | : | Component |

## ◆ GetEnum< TEnum >() [1/2]

TEnum GetEnum< TEnum > | ( |  | ) |

Get the value of the Enum type.

Returns
  The value of the parameter. If there is no parameter, it returns default(TEnum).

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [2/2]

TEnum GetEnum< TEnum > | ( | TEnum | defaultValue | ) |

Get the value of the Enum type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TEnum | : | struct |

## ◆ GetEnumList< TEnum >()

IList<TEnum> GetEnumList< TEnum > | ( |  | ) |

Get the value of the Enum type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TEnum | : | struct |

## ◆ GetVariable< TVariable >()

TVariable GetVariable< TVariable > | ( | TVariable | defaultValue = `default(TVariable)` | ) |

Get Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  defaultValue | Default value. Returned if acquisition failed.

Returns
  Value of Variable. If acquisition fails, it returns defaultValue.

## ◆ GetVariableList< TVariable >()

IList<TVariable> GetVariableList< TVariable > | ( |  | ) |

Get VariableList value

Template Parameters

  TVariable | Variable value type

Returns
  Value of Variable. If acquisition fails, it returns null.

## ◆ SetAssetObject< TAssetObject >()

bool SetAssetObject< TAssetObject > | ( | TAssetObject | value | ) |

Set AssetObject value

Parameters

  value | Value

Type Constraints

  TAssetObject | : | Object |

## ◆ SetAssetObjectList< TAssetObject >()

bool SetAssetObjectList< TAssetObject > | ( | IList< TAssetObject > | value | ) |

It wants to set the value of the AssetObjectList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

Type Constraints

  TAssetObject | : | Object |

## ◆ SetComponent< TComponent >()

bool SetComponent< TComponent > | ( | TComponent | value | ) |

Set Component value

Parameters

  value | Value

Type Constraints

  TComponent | : | Component |

## ◆ SetComponentList< TComponent >()

bool SetComponentList< TComponent > | ( | IList< TComponent > | value | ) |

It wants to set the value of the ComponentList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

Type Constraints

  TComponent | : | Component |

## ◆ SetEnum< TEnum >()

bool SetEnum< TEnum > | ( | TEnum | value | ) |

Set Enum value

Parameters

  value | Value

Returns
  Return true if the value could be set.

Type Constraints

  TEnum | : | struct |

## ◆ SetEnumList< TEnum >()

bool SetEnumList< TEnum > | ( | IList< TEnum > | value | ) |

Set EnumList value

Parameters

  value | Value

Returns
  Return true if the value could be set.

Type Constraints

  TEnum | : | struct |

## ◆ SetVariable< TVariable >()

bool SetVariable< TVariable > | ( | TVariable | value | ) |

Set Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  value | Value

## ◆ SetVariableList< TVariable >()

bool SetVariableList< TVariable > | ( | IList< TVariable > | value | ) |

Set VariableList value

Template Parameters

  TVariable | Variable value type

Parameters

  value | Value

## Property Documentation

## ◆ assetObjectListValue

IList<Object> assetObjectListValue
| get set

Value of AssetObjectList type.

## ◆ assetObjectValue

Object assetObjectValue
| get set

Value of AssetObject type.

## ◆ boolListValue

IList<bool> boolListValue
| get set

Value of BoolList type.

## ◆ boolValue

bool boolValue
| get set

Value of Bool type.

## ◆ boundsListValue

IList<Bounds> boundsListValue
| get set

Value of BoundsList type.

## ◆ boundsValue

Bounds boundsValue
| get set

Value of Bounds type.

## ◆ colorListValue

IList<Color> colorListValue
| get set

Value of ColorList type.

## ◆ colorValue

Color colorValue
| get set

Value of Color type.

## ◆ componentListValue

IList<Component> componentListValue
| get set

Value of ComponentList type.

## ◆ componentValue

Component componentValue
| get set

Value of Component type.

## ◆ enumIntValue

int enumIntValue
| get set

int Value of Enum type.

## ◆ enumValue

System.Enum enumValue
| get set

Value of Enum type.

## ◆ floatListValue

IList<float> floatListValue
| get set

Value of FloatList type.

## ◆ floatValue

float floatValue
| get set

Value of Float type.

## ◆ gameObjectListValue

IList<GameObject> gameObjectListValue
| get set

Value of GameObjectList type.

## ◆ gameObjectValue

GameObject gameObjectValue
| get set

Value of GameObject type.

## ◆ intListValue

IList<int> intListValue
| get set

Value of IntList type.

## ◆ intValue

int intValue
| get set

Value of Int type.

## ◆ longListValue

IList<long> longListValue
| get set

Value of LongList type.

## ◆ longValue

long longValue
| get set

Value of Long type.

## ◆ parameterType

System.Type parameterType
| get set

Parameter Type

## ◆ quaternionListValue

IList<Quaternion> quaternionListValue
| get set

Value of QuaternionList type.

## ◆ quaternionValue

Quaternion quaternionValue
| get set

Value of Quaternion type.

## ◆ rectListValue

IList<Rect> rectListValue
| get set

Value of RectList type.

## ◆ rectTransformValue

RectTransform rectTransformValue
| get set

Value of RectTransform type.

## ◆ rectValue

Rect rectValue
| get set

Value of Rect type.

## ◆ rigidbody2DValue

Rigidbody2D rigidbody2DValue
| get set

Value of Rigidbody2D type.

## ◆ rigidbodyValue

Rigidbody rigidbodyValue
| get set

Value of Rigidbody type.

## ◆ stringListValue

IList<string> stringListValue
| get set

Value of StringList type.

## ◆ stringValue

string stringValue
| get set

Value of String type.

## ◆ transformValue

Transform transformValue
| get set

Value of Transform type.

## ◆ value

object value
| get set

Get values according to type.

## ◆ variableListValue

object variableListValue
| get set

Value of VariableList type.

## ◆ variableValue

object variableValue
| get set

Value of Variable type.

## ◆ vector2ListValue

IList<Vector2> vector2ListValue
| get set

Value of Vector2List type.

## ◆ vector2Value

Vector2 vector2Value
| get set

Value of Vector2 type.

## ◆ vector3ListValue

IList<Vector3> vector3ListValue
| get set

Value of Vector3List type.

## ◆ vector3Value

Vector3 vector3Value
| get set

Value of Vector3 type.